This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292196 - Deleting disk that was copied from a disk containing a snapshot, will cause the original disk to remove
Deleting disk that was copied from a disk containing a snapshot, will cause t...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.1.3
Unspecified Unspecified
unspecified Severity urgent (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Fred Rolland
Raz Tamir
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 12:10 EST by Raz Tamir
Modified: 2016-02-18 06:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:16:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
ylavi: planning_ack+
tnisan: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
engine and vdsm logs (1.90 MB, application/x-gzip)
2015-12-16 12:10 EST, Raz Tamir
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50674 master MERGED engine: Delete copied disk delete source disk 2015-12-21 04:17 EST
oVirt gerrit 50788 ovirt-engine-3.6 MERGED engine: Delete copied disk delete source disk 2015-12-21 05:32 EST

  None (edit)
Description Raz Tamir 2015-12-16 12:10:33 EST
Created attachment 1106495 [details]
engine and vdsm logs

Description of problem:
My setup is 1 vm + 1 bootable disk with OS + 2 other disks.
After I create a snapshot from that vm, I copy the disks and (3 disks) and attach them to a new vm and that is works fine.
After I remove the new vm with the copied disks, the original 3 disks also deleted from the setup.


Version-Release number of selected component (if applicable):
rhevm-3.6.1.3-0.1.el6.noarch
qemu-img-rhev-2.3.0-31.el7_2.5.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.5.x86_64
vdsm-4.17.13-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a copy from a vm's disks after creating a snapshot
2. Create a new vm and attach the copied disks to it
3. Remove the new vm

Actual results:
The original disks will be remove as well


Expected results:


Additional info:
Comment 1 Sandro Bonazzola 2015-12-23 08:42:40 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 2 Raz Tamir 2015-12-29 11:20:36 EST
Verified on 
rhevm-3.6.2-0.1.el6.noarch
vdsm-4.17.15-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.